%define current_version 7.0.10

%define snmpconfdir %{_sysconfdir}/snmp
%define snmpdconf %{_sysconfdir}/snmp/snmpd.local.conf 
%define snmpsodir %{_libdir}/rmond
%define	net_snmp 5.5-44.el6

Summary: OpenVZ SNMP agent
Name: rmond
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
Group: System Environment/Daemons
Source: %{name}-%{version}.tar.bz2
ExclusiveOS: Linux
ExclusiveArch:  x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	net-snmp-devel >= %{net_snmp}
BuildRequires:	net-snmp-utils >= %{net_snmp}
BuildRequires:	boost-devel >= 1.41.0-11.el6_1.2
BuildRequires:	libprlsdk-devel >= 6.0.16776

Requires:	net-snmp >= %{net_snmp}
Requires:	libprlsdk >= 6.0.16776

%description
Virtuozzo SNMP agent.

%files
%defattr(-, root, root, -)

%{snmpsodir}/rmond.so
%{_datadir}/snmp/mibs/*.txt


%prep
%setup -q

%build
make all

%install
install -d ${RPM_BUILD_ROOT}/%{snmpsodir}
install -m 744 src/rmond.so ${RPM_BUILD_ROOT}/%{snmpsodir}

install -d ${RPM_BUILD_ROOT}/%{_datadir}/snmp/mibs
install -m 644 mibs/*.txt ${RPM_BUILD_ROOT}/%{_datadir}/snmp/mibs

%clean
rm -rf $RPM_BUILD_ROOT

%post -n rmond
[ -f %{snmpdconf} ] || touch %{snmpdconf}
sed -r '/\s*dlmod\s+RmondMIB\s+/d;/view\s+systemview\s+included\s+\.1\.3\.6\.1\.4\.1/d' %{snmpdconf} > %{snmpdconf}.stripped
if [ $? -eq 0 ]; then
	echo -e dlmod\\tRmondMIB\\t%{snmpsodir}/rmond.so >> %{snmpdconf}.stripped
	echo -e view\\tsystemview\\tincluded\\t.1.3.6.1.4.1 >> %{snmpdconf}.stripped
	mv %{snmpdconf}.stripped %{snmpdconf}
else
	rm -f %{snmpdconf}.stripped
fi
service snmpd condrestart

%postun -n rmond
if [ $1 = 0 ]; then
	sed -r '/\s*dlmod\s+RmondMIB\s+/d;/view\s+systemview\s+included\s+\.1\.3\.6\.1\.4\.1/d' %{snmpdconf} > %{snmpdconf}.stripped
	[ $? -eq 0 ] && mv %{snmpdconf}.stripped %{snmpdconf}
	service snmpd condrestart
fi

%changelog
* Mon Dec 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.10
 - bug #PSBM-89621 aka "net-snmp" crash: "snmpd killed by SIGSEGV" (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Oct 18 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.9
 - bug #PSBM-89210 aka Dispatcher and snmpd huge memory consumption (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Oct 04 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.8
 - bug #PSBM-89210 aka Dispatcher and snmpd huge memory consumption (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-89210 aka Dispatcher and snmpd huge memory consumption (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Mar 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.7
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Fri Dec 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.6
 - bug #PSBM-58263 aka dump: core-QThread-1483037108.1214 (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.5-2
- Rebuild in 7.3 environment

* Thu Dec 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.5
 - improve checking of error during string to uint conversion (PSBM-56337)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)

* Mon Apr 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.4
 - PrlVmCfg_GetEnvId is obsolete. use PrlVmCfg_GetCtId instead (Sergey Galas
<shrike@virtuozzo.com>)
 - Added license terms (Dmitry Mishin <dim@virtuozzo.com>)
 - Added license terms (Dmitry Mishin <dim@virtuozzo.com>)
 - Add install target to makefile (Andrei Bondrov <abondrov@parallels.com>)

* Tue Sep 22 2015 Sergey Galas' <shrike@odin.com> 7.0.3
 - Make a threadsafe container for inner data in rmond plugin (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39087)

* Mon Aug 10 2015 Sergey Galas' <shrike@odin.com> 7.0.2
 - bug #PSBM-37918 (Sergey Galas <shrike@odin.com>)

* Mon Jul 13 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.1
 - Added versioning file

* Mon Apr 22 2013 Galas' Sergey <shrike@virtuozzo.com> - 7.0.0-1
- the first build
